Name:           lxlauncher
Version:        0.2.2
Release:        %mkrel 2
Epoch:          1
Summary:	Open source replacement for Asus Launcher of EeePC
License:	GPLv2+
Group:		Graphical desktop/Other
Url:            http://lxde.sourceforge.net/

Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz

Patch1:		lxlauncher-0.2.1-nocharwrap.patch
# fix looking for icon names containing a dot which does not mark an extension, like ooo-writer3.0
# to be submitted upstream
Patch2:		lxlauncher-0.2-iconext.patch
# patch from Mandriva, lxlauncher doesn't show any icons without this
Patch3:		lxlauncher-0.2.2-mdv-gtk.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	menu-cache-devel
BuildRequires:	gnome-common
BuildRequires:	startup-notification-devel
BuildRequires:	libGConf2-devel
BuildRequires:	intltool

Requires:	desktop-common-data
Suggests:	lxde-icon-theme

%description
LXLauncher is part of LXDE project. It's designed for Asus EeePC as an
open source replacement for Asus Launcher included in EeePC provided by
Xandros. LXLauncher is standard-compliant and desktop-independent. It
follows freedesktop.org specs, so newly added applications will
automatically show up in the launcher, and vice versa for the removed ones.

%prep
%setup -q -n %name-%version
%patch1 -p0 -b .charwrap
%patch2 -p1 -b .iconext
%patch3 -p0

%build
%configure2_5x
# (Fedora) workarond for build loop
touch -r po/Makefile po/stamp-it
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%name
%{_datadir}/desktop-directories/lxde-*.directory
%{_sysconfdir}/xdg/menus/lxlauncher-applications.menu
%{_sysconfdir}/xdg/lxlauncher


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:0.2.2-2.mga3
+ Revision: 359167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 27 2011 obgr_seneca <obgr_seneca> 1:0.2.2-1.mga2
+ Revision: 158731
- new version 0.2.2

* Sat Feb 05 2011 ahmad <ahmad> 1:0.2.1-4.mga2
+ Revision: 47079
- add a workaround to fix build loop (Fedora)
- imported package lxlauncher

